{% extends 'base.html.twig' %}

{% block title %}Welcome to Pizza-Plaza!{% endblock %}

{% block javascripts %}

{% endblock %}


{% block body %}
<div class="container">
	<div class="row">

		<div class="col col-sm-12 col-md-12 col-lg-12 text-center pt-5 pb-3">
			<h2><i>Pizza!</i></h2>
		</div>

		{% for pizza in pizzas %}
		<div class="col col-sm-12 col-md-6 col-lg-4 text-center pt-2 pb-3">
			<div class="d-flex justify-content-center">
				<div class="card mx-3 my-3" style="width: 18rem;">
					<img src="{{ asset('images/'~pizza.name~'.jpg') }}" style="max-height: 175px; height: 70%; width: auto;" class="card-img-top" alt="{{ pizza.name }}">
					<div class="card-body">
						<h5 class="card-title">{{ pizza.name }}</h5>
						{% if pizzaToday.id == pizza.id %}
							<h6 class="mb-2 text-primary"><strike class="text-danger">€{{ pizza.price }}</strike> €{{ (pizza.price - pizza.price * 0.33)|round(2, 'floor') }}</h6>
							{% set pizzaprice = (pizza.price - pizza.price * 0.33)|round(2, 'floor') %}
						{% else %}
							{% set pizzaprice = pizza.price|round(2, 'floor') %}
							<h6 class="mb-2 text-primary">€{{ pizza.price }}</h6>
						{% endif %}
						<p class="card-text">{{ pizza.description }}</p>
					</div>
	        		<div class="add-float-bg" onClick="addExtras('{{ pizza.name }}', '{{ pizza.id }}', null,'{{ pizza.extras|json_encode() }}', null, '{{ pizzaprice }}')" data-bs-toggle="modal" data-bs-target="#extrasModal">
						<i class="fas fa-plus add-float"></i>
					</div>
				</div>
			</div>
		</div>
		{% endfor %}

	</div>
</div>
{% endblock %}
